Subject: Re: NNCP at scale report

From: "Shawn K. Quinn" <[email-masked]>
Date: Sun, 3 Jan 2021 00:08:53 -0600

On 1/2/21 08:17, Sergey Matveev wrote:
>  [John Goerzen originally wrote:]
>> - I wonder if it might be nice to have a nncp-maint - it could  rotate the
>> log file, run some checks for very old packets,  remove old .seen files, etc.
>> This can all be done with  conventional tools for those familiar with Unix
>> administration,  but not everyone is.
> Well, I think that it is preferrable people to learn more of Unix
> administration, because it will bring much more benefit.

Is getting NNCP working under Windows not a long-term goal? If it is, we
need some simple tool like an nncp-maint that's not going to require a
whole bunch of command line song and dance just to do basic cleanup.

It would be nice to have a GUI front-end to NNCP as well, especially for
possible use on phones (making it much easier to relay packets to/from
some airgapped machines) but also to reduce tedium even on GNU/Linux and
other Unix-like operatings systems. The command-line tools are great for
use on laptops and desktops with suitable Unix-like operating systems
and work well for automation, but definitely restrict the audience to
those comfortable typing in commands, which is unfortunately an
ever-decreasing percentage of computer users.

I admit that I resisted the GUI revolution for many years, but today I'd
say I do at least 90% of my work using GUI software, though it's rare to
see me without at least one terminal window open. I have found it's
really not the GUI I hate, it's Windows and/or being forced to use the
GUI even for tasks where it adds tedium instead of reducing it.

-- 
Shawn K. Quinn <[email-masked]>
http://www.rantroulette.com
http://www.skqrecordquest.com